<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:15 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.api.artifacts (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.gradle.api.artifacts (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/package-summary.html">Prev Package</a></li>
<li><a href="../../../../org/gradle/api/artifacts/cache/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/artifacts/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<p><a href="../../../../org/gradle/api/NonNullApi.html" title="annotation in org.gradle.api">@NonNullApi</a>
</p>
<h1 title="Package" class="title">Package&nbsp;org.gradle.api.artifacts</h1>
<div class="docSummary">
<div class="block">Classes for declaring and using artifacts and artifact dependencies.</div>
</div>
<p>See:&nbsp;<a href="#package_description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="packageSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/ArtifactCollection.html" title="interface in org.gradle.api.artifacts">ArtifactCollection</a></td>
<td class="colLast">
<div class="block">A collection of artifacts resolved for a configuration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/ArtifactIdentifier.html" title="interface in org.gradle.api.artifacts">ArtifactIdentifier</a></td>
<td class="colLast">
<div class="block">The identifier for a module artifact.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/ArtifactRepositoryContainer.html" title="interface in org.gradle.api.artifacts">ArtifactRepositoryContainer</a></td>
<td class="colLast">
<div class="block">A <code>ResolverContainer</code> is responsible for managing a set of <a href="../../../../org/gradle/api/artifacts/repositories/ArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories"><code>ArtifactRepository</code></a> instances.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/ArtifactView.html" title="interface in org.gradle.api.artifacts">ArtifactView</a></td>
<td class="colLast">
<div class="block">A view over the artifacts resolved for this set of dependencies.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/ArtifactView.ViewConfiguration.html" title="interface in org.gradle.api.artifacts">ArtifactView.ViewConfiguration</a></td>
<td class="colLast">
<div class="block">Configuration for a defined artifact view.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/ClientModule.html" title="interface in org.gradle.api.artifacts">ClientModule</a></td>
<td class="colLast">
<div class="block">To model a module in your dependency declarations.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/ComponentMetadata.html" title="interface in org.gradle.api.artifacts">ComponentMetadata</a></td>
<td class="colLast">
<div class="block">Provides a read-only view of a resolved component's metadata, which typically originates from
 a component descriptor (Ivy file, Maven POM).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/ComponentMetadataBuilder.html" title="interface in org.gradle.api.artifacts">ComponentMetadataBuilder</a></td>
<td class="colLast">
<div class="block">A component metadata builder.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/ComponentMetadataDetails.html" title="interface in org.gradle.api.artifacts">ComponentMetadataDetails</a></td>
<td class="colLast">
<div class="block">Describes a resolved component's metadata, which typically originates from
 a component descriptor (Ivy file, Maven POM).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/ComponentMetadataSupplier.html" title="interface in org.gradle.api.artifacts">ComponentMetadataSupplier</a></td>
<td class="colLast">
<div class="block">A component metadata rule is responsible for providing the initial metadata of a component
 from a remote repository, in place of parsing the descriptor.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/ComponentMetadataSupplierDetails.html" title="interface in org.gradle.api.artifacts">ComponentMetadataSupplierDetails</a></td>
<td class="colLast">
<div class="block">A component metadata rule details, giving access to the identifier of the component being
 resolved, the metadata builder, and the repository resource accessor for this.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/ComponentModuleMetadata.html" title="interface in org.gradle.api.artifacts">ComponentModuleMetadata</a></td>
<td class="colLast">
<div class="block">Contains immutable component module metadata information.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/ComponentModuleMetadataDetails.html" title="interface in org.gradle.api.artifacts">ComponentModuleMetadataDetails</a></td>
<td class="colLast">
<div class="block">Contains and allows configuring component module metadata information.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/ComponentSelection.html" title="interface in org.gradle.api.artifacts">ComponentSelection</a></td>
<td class="colLast">
<div class="block">Represents a tuple of the component selector of a module and a candidate version
 to be evaluated in a component selection rule.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/ComponentSelectionRules.html" title="interface in org.gradle.api.artifacts">ComponentSelectionRules</a></td>
<td class="colLast">
<div class="block">Represents a container for component selection rules.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/ConfigurablePublishArtifact.html" title="interface in org.gradle.api.artifacts">ConfigurablePublishArtifact</a></td>
<td class="colLast">
<div class="block">A <a href="../../../../org/gradle/api/artifacts/PublishArtifact.html" title="interface in org.gradle.api.artifacts"><code>PublishArtifact</code></a> whose properties can be modified.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/Configuration.html" title="interface in org.gradle.api.artifacts">Configuration</a></td>
<td class="colLast">
<div class="block">A <code>Configuration</code> represents a group of artifacts and their dependencies.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/ConfigurationContainer.html" title="interface in org.gradle.api.artifacts">ConfigurationContainer</a></td>
<td class="colLast">
<div class="block">A <code>ConfigurationContainer</code> is responsible for declaring and managing configurations.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/ConfigurationPublications.html" title="interface in org.gradle.api.artifacts">ConfigurationPublications</a></td>
<td class="colLast">
<div class="block">Represents the outgoing artifacts associated with a configuration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/ConfigurationVariant.html" title="interface in org.gradle.api.artifacts">ConfigurationVariant</a></td>
<td class="colLast">
<div class="block">Represents some variant of an outgoing configuration.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/Dependency.html" title="interface in org.gradle.api.artifacts">Dependency</a></td>
<td class="colLast">
<div class="block">A <code>Dependency</code> represents a dependency on the artifacts from a particular source.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/DependencyArtifact.html" title="interface in org.gradle.api.artifacts">DependencyArtifact</a></td>
<td class="colLast">
<div class="block">An <code>Artifact</code> represents an artifact included in a <a href="../../../../org/gradle/api/artifacts/Dependency.html" title="interface in org.gradle.api.artifacts"><code>Dependency</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/DependencyResolutionListener.html" title="interface in org.gradle.api.artifacts">DependencyResolutionListener</a></td>
<td class="colLast">
<div class="block">A <code>DependencyResolutionListener</code> is notified as dependencies are resolved.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/DependencyResolveDetails.html" title="interface in org.gradle.api.artifacts">DependencyResolveDetails</a></td>
<td class="colLast">
<div class="block">Provides details about a dependency when it is resolved.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/DependencySet.html" title="interface in org.gradle.api.artifacts">DependencySet</a></td>
<td class="colLast">
<div class="block">A set of artifact dependencies.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/DependencySubstitution.html" title="interface in org.gradle.api.artifacts">DependencySubstitution</a></td>
<td class="colLast">
<div class="block">Provides means to substitute a different dependency during resolution.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/DependencySubstitutions.html" title="interface in org.gradle.api.artifacts">DependencySubstitutions</a></td>
<td class="colLast">
<div class="block">Allows replacing dependencies with other dependencies.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/DependencySubstitutions.Substitution.html" title="interface in org.gradle.api.artifacts">DependencySubstitutions.Substitution</a></td>
<td class="colLast">
<div class="block">Provides a DSL-friendly mechanism for specifying the target of a substitution.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/ExcludeRule.html" title="interface in org.gradle.api.artifacts">ExcludeRule</a></td>
<td class="colLast">
<div class="block">An <code>ExcludeRule</code> is used to describe transitive dependencies that should be excluded when resolving
 dependencies.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/ExcludeRuleContainer.html" title="interface in org.gradle.api.artifacts">ExcludeRuleContainer</a></td>
<td class="colLast">
<div class="block">A container for adding exclude rules for dependencies.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/ExternalDependency.html" title="interface in org.gradle.api.artifacts">ExternalDependency</a></td>
<td class="colLast">
<div class="block">An <code>ExternalDependency</code> is a <a href="../../../../org/gradle/api/artifacts/Dependency.html" title="interface in org.gradle.api.artifacts"><code>Dependency</code></a> on a source outside the current project hierarchy.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/ExternalModuleDependency.html" title="interface in org.gradle.api.artifacts">ExternalModuleDependency</a></td>
<td class="colLast">
<div class="block">A <code>ModuleDependency</code> is a <a href="../../../../org/gradle/api/artifacts/Dependency.html" title="interface in org.gradle.api.artifacts"><code>Dependency</code></a> on a module outside the current project hierarchy.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/FileCollectionDependency.html" title="interface in org.gradle.api.artifacts">FileCollectionDependency</a></td>
<td class="colLast">
<div class="block">A <code>FileCollectionDependency</code> is a <a href="../../../../org/gradle/api/artifacts/Dependency.html" title="interface in org.gradle.api.artifacts"><code>Dependency</code></a> on a collection of local files which are not stored in a
 repository.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/LenientConfiguration.html" title="interface in org.gradle.api.artifacts">LenientConfiguration</a></td>
<td class="colLast">
<div class="block">Resolved configuration that does not fail eagerly when some dependencies are not resolved, or some artifacts do not exist.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/ModuleDependency.html" title="interface in org.gradle.api.artifacts">ModuleDependency</a></td>
<td class="colLast">
<div class="block">A <code>ModuleDependency</code> is a <a href="../../../../org/gradle/api/artifacts/Dependency.html" title="interface in org.gradle.api.artifacts"><code>Dependency</code></a> on a module outside the current project.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/ModuleIdentifier.html" title="interface in org.gradle.api.artifacts">ModuleIdentifier</a></td>
<td class="colLast">
<div class="block">The identifier of a module.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/ModuleVersionIdentifier.html" title="interface in org.gradle.api.artifacts">ModuleVersionIdentifier</a></td>
<td class="colLast">
<div class="block">The identifier of a module version.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/ModuleVersionSelector.html" title="interface in org.gradle.api.artifacts">ModuleVersionSelector</a></td>
<td class="colLast">
<div class="block">Selects a module version</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/ProjectDependency.html" title="interface in org.gradle.api.artifacts">ProjectDependency</a></td>
<td class="colLast">
<div class="block">A <code>ProjectDependency</code> is a <a href="../../../../org/gradle/api/artifacts/Dependency.html" title="interface in org.gradle.api.artifacts"><code>Dependency</code></a> on another project in the current project hierarchy.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/PublishArtifact.html" title="interface in org.gradle.api.artifacts">PublishArtifact</a></td>
<td class="colLast">
<div class="block">A <code>PublishArtifact</code> is an artifact produced by a project.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/PublishArtifactSet.html" title="interface in org.gradle.api.artifacts">PublishArtifactSet</a></td>
<td class="colLast">
<div class="block">A set of artifacts to be published.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/ResolutionStrategy.html" title="interface in org.gradle.api.artifacts">ResolutionStrategy</a></td>
<td class="colLast">
<div class="block">Defines the strategies around dependency resolution.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/ResolvableDependencies.html" title="interface in org.gradle.api.artifacts">ResolvableDependencies</a></td>
<td class="colLast">
<div class="block">A set of <a href="../../../../org/gradle/api/artifacts/Dependency.html" title="interface in org.gradle.api.artifacts"><code>Dependency</code></a> objects which can be resolved to a set of files.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/ResolvedArtifact.html" title="interface in org.gradle.api.artifacts">ResolvedArtifact</a></td>
<td class="colLast">
<div class="block">Information about a resolved artifact.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/ResolvedConfiguration.html" title="interface in org.gradle.api.artifacts">ResolvedConfiguration</a></td>
<td class="colLast">
<div class="block">A <code>ResolvedConfiguration</code> represents the result of resolving a <a href="../../../../org/gradle/api/artifacts/Configuration.html" title="interface in org.gradle.api.artifacts"><code>Configuration</code></a>, and provides access
 to both the artifacts and the meta-data of the result.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/ResolvedDependency.html" title="interface in org.gradle.api.artifacts">ResolvedDependency</a></td>
<td class="colLast">
<div class="block">Information about a resolved dependency.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/ResolvedModuleVersion.html" title="interface in org.gradle.api.artifacts">ResolvedModuleVersion</a></td>
<td class="colLast">
<div class="block">Represents meta-data about a resolved module version.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/SelfResolvingDependency.html" title="interface in org.gradle.api.artifacts">SelfResolvingDependency</a></td>
<td class="colLast">
<div class="block">A <code>SelfResolvingDependency</code> is a <a href="../../../../org/gradle/api/artifacts/Dependency.html" title="interface in org.gradle.api.artifacts"><code>Dependency</code></a> which is able to resolve itself, independent of a
 repository.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/UnresolvedDependency.html" title="interface in org.gradle.api.artifacts">UnresolvedDependency</a></td>
<td class="colLast">
<div class="block">Unsuccessfully resolved dependency.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="packageSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/Configuration.Namer.html" title="class in org.gradle.api.artifacts">Configuration.Namer</a></td>
<td class="colLast">
<div class="block">A <a href="../../../../org/gradle/api/Namer.html" title="interface in org.gradle.api"><code>Namer</code></a> namer for configurations that returns <a href="../../../../org/gradle/api/artifacts/Configuration.html#getName()"><code>Configuration.getName()</code></a>.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="packageSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Summary table, listing enums, and an explanation">
<caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Enum</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/Configuration.State.html" title="enum in org.gradle.api.artifacts">Configuration.State</a></td>
<td class="colLast">
<div class="block">The states a configuration can be into.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/ResolutionStrategy.SortOrder.html" title="enum in org.gradle.api.artifacts">ResolutionStrategy.SortOrder</a></td>
<td class="colLast">
<div class="block">Defines the sort order for components and artifacts produced by the configuration.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="packageSummary" border="0" cellpadding="3" cellspacing="0" summary="Exception Summary table, listing exceptions, and an explanation">
<caption><span>Exception Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Exception</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/PublishException.html" title="class in org.gradle.api.artifacts">PublishException</a></td>
<td class="colLast">
<div class="block">A <code>PublishException</code> is thrown when a dependency configuration cannot be published for some reason.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/ResolveException.html" title="class in org.gradle.api.artifacts">ResolveException</a></td>
<td class="colLast">
<div class="block">A <code>ResolveException</code> is thrown when dependency resolution fails for some reason.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/UnknownConfigurationException.html" title="class in org.gradle.api.artifacts">UnknownConfigurationException</a></td>
<td class="colLast">
<div class="block">An <code>UnknownConfigurationException</code> is thrown when a configuration referenced by name cannot be found.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/gradle/api/artifacts/UnknownRepositoryException.html" title="class in org.gradle.api.artifacts">UnknownRepositoryException</a></td>
<td class="colLast">
<div class="block">An <code>UnknownRepositoryException</code> is thrown when a repository referenced by name cannot be found.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package_description">
<!--   -->
</a>
<h2 title="Package org.gradle.api.artifacts Description">Package org.gradle.api.artifacts Description</h2>
<div class="block">Classes for declaring and using artifacts and artifact dependencies.</div>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/package-summary.html">Prev Package</a></li>
<li><a href="../../../../org/gradle/api/artifacts/cache/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/artifacts/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
